=== examples/qt3d/CMakeLists.txt ===
qt_internal_add_example(3d-text)
qt_internal_add_example(simple-cpp)
if(TARGET Qt::Widgets)
    qt_internal_add_example(basicshapes-cpp)
endif()
if(TARGET Qt::QuickWidgets AND TARGET Qt::Widgets)
    qt_internal_add_example(widgets-scene3d)
endif()
if(TARGET Qt::Quick)
    qt_internal_add_example(advancedcustommaterial)
    qt_internal_add_example(compute-particles)
    qt_internal_add_example(controls)
    qt_internal_add_example(controlsunderlay)
    qt_internal_add_example(instanced-arrays-qml)
    qt_internal_add_example(multiviewport)
    qt_internal_add_example(planets-qml)
#    qt_internal_add_example(scene2d) # Restore once Scene2D support has been ported to Qt6
    qt_internal_add_example(scene3d)
    qt_internal_add_example(simple-qml)
    qt_internal_add_example(simplecustommaterial)
    qt_internal_add_example(wave)

    # these require qt6_add_big_resources but it's broken at this point QTBUG-85051
#    qt_internal_add_example(anaglyph-rendering)
#    qt_internal_add_example(lights)
#    qt_internal_add_example(pbr-materials)
#    qt_internal_add_example(phong-cubes)
#    qt_internal_add_example(qardboard)
#    qt_internal_add_example(shadow-map-qml)
#    qt_internal_add_example(wireframe)
endif()
if(TARGET Qt::Multimedia AND TARGET Qt::Quick)
#    qt_internal_add_example(audio-visualizer-qml)
endif()
