=== tests/auto/core/CMakeLists.txt ===
# Generated from core.pro.

add_subdirectory(handle)
add_subdirectory(qresourcemanager)
add_subdirectory(nodes)
add_subdirectory(qaspectengine)
add_subdirectory(qaspectfactory)
add_subdirectory(qaspectjob)
add_subdirectory(qchangearbiter)
add_subdirectory(qscene)
add_subdirectory(qservicelocator)
add_subdirectory(qjoint)
add_subdirectory(qskeletonloader)
add_subdirectory(qskeleton)
add_subdirectory(qarmature)
if(QT_FEATURE_private_tests)
    add_subdirectory(qentity)
    add_subdirectory(qtransform)
    add_subdirectory(threadpooler)
    add_subdirectory(vector4d_base)
    add_subdirectory(vector3d_base)
    add_subdirectory(aspectcommanddebugger)
    add_subdirectory(qscheduler)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_simd_sse2)
    add_subdirectory(vector4d_sse)
    add_subdirectory(vector3d_sse)
    add_subdirectory(matrix4x4_sse)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_simd_avx2)
    add_subdirectory(matrix4x4_avx2)
endif()
