=== debian/changelog ===
qt6-3d (6.4.2+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Jun 2023 09:52:15 -0300

qt6-3d (6.4.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing B-D qml6-module-qtquick3d-spatialaudio (Closes:
    #1030472).

 -- Patrick Franz <deltaone@debian.org>  Sat, 04 Feb 2023 11:18:40 +0100

qt6-3d (6.4.2+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 12:00:01 -0300

qt6-3d (6.4.2+dfsg-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 Jan 2023 22:15:32 +0100

qt6-3d (6.4.2+dfsg~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:57:57 +0100

qt6-3d (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump stadards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:25:47 +0100

qt6-3d (6.4.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Dec 2022 23:59:28 +0100

qt6-3d (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 20:49:51 +0100

qt6-3d (6.4.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015614).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 11:50:31 +0100

qt6-3d (6.4.0+dfsg-1) experimental; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update install files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 13:21:06 +0200

qt6-3d (6.3.1+dfsg-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Oct 2022 10:59:58 -0300

qt6-3d (6.3.1+dfsg-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 16:44:01 -0300

qt6-3d (6.2.4+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 11:53:44 -0300
